ML Prep API (v1)
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'List of existing labware
The labware reference name for the container if applicable (for troughs and tube racks)
The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier
The labware parts that make up the assembly (only applicable for assembly classification
[ { "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "imageExtension": "string", "imageData": "string", "partNumbers": "string", "categories": [ … ], "classification": "string", "siteAlignments": [ … ], "isFavorite": true, "parts": [ … ] } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The labware
The labware reference name for the container if applicable (for troughs and tube racks)
The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Lid, Assembly, LidCarrier
{ "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "partNumbers": "string", "categories": [ { … } ], "classification": "string", "siteAlignments": [ "string" ], "isFavorite": true, "parts": [ { … } ] }
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'http://{{your_prep_ip_address}}/api/v1/labware/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/properties/classifications
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/properties/classifications' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/by-name/{name}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/by-name/{name}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The labware
The labware reference name for the container if applicable (for troughs and tube racks)
The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Lid, Assembly, LidCarrier
{ "id": 0, "name": "string", "containerName": "string", "rows": 0, "columns": 0, "volume": 0.1, "displayName": "string", "partNumbers": "string", "categories": [ { … } ], "classification": "string", "siteAlignments": [ "string" ], "isFavorite": true, "parts": [ { … } ] }
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/export/{labwareId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/export/{labwareId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/export
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/export' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/find-existing-imports
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/labware/find-existing-imports' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F Files=string \
-F OverwriteAll=true[ { "name": "string", "viewName": "string", "type": "string", "lastModifiedDateTimeOfExisting": "2019-08-24T14:15:22Z", "lastModifiedDateTimeOfImport": "2019-08-24T14:15:22Z" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/favorite
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/labware/favorite' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"id": 0,
"isFavorite": true
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/import/{ignoreLabwareDefinitionFiles}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/labware/import/{ignoreLabwareDefinitionFiles}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F Files=string \
-F OverwriteAll=true \
-F FilesToOverwrite=string \
-F ZipFileProtocolEntry=string \
-F NewProtocolName=string[ { "name": "string", "result": "string" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/restore-catalog
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/labware/restore-catalog' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "name": "string", "result": "string" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/images/{labwareId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/images/{labwareId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
- Mock server
http://{{your_prep_ip_address}}/api/v1/labware/properties-container/{labwareDocumentName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/labware/properties-container/{labwareDocumentName}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "isCircle": true, "radius": 0.1 }